Đến nội dung


Hình ảnh
* * - - - 1 Bình chọn

[Hỏi] Cùng nhau học LISP


  • Please log in to reply
171 replies to this topic

#21 master_worse

master_worse

    biết lệnh offset

  • Advance Member
  • PipPipPip
  • 170 Bài viết
Điểm đánh giá: 87 (tàm tạm)

Đã gửi 21 September 2010 - 05:00 PM

Ai có thể giúp mình 1 cái tut về sử dụng các hàm ssget, entmake, subst, entmod, while với.

Vídu: Chọn 1 vùng rồi lọc text chẳng hạn, nhập chiều cao mới của text , dùng các hàm trên để sửa chiều cao của nó theo chiều cao vừa nhập.

Cách dùng các hàm trong líp này ra sao, có tác dụng gì.. Thank nhiều...

Vídu:
(defun c:vidu (/ txt newhig i)
(setq ss (ssget '((0 . "text"))))
(setq newhig (getreal "\nNhap chieu cao chu: "))
(setq i 0)
(while (< i (sslength ss))
(setq txt (ssname ss i))
(entmod (subst (cons 40 newhig) (assoc 40 (entget txt)) (entget txt)))
(setq i (1+ i))
);_ end while
);_ end defun

  • 2

Ngu dốt không đáng thẹn bằng thiếu ý chí học hỏi


Tri thức làm người ta khiêm tốn, ngu si làm người ta kiêu ngạo (Ngạn ngữ Anh)


#22 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 21 September 2010 - 10:45 PM

Mình sửa cho bạn rồi này. Bạn tự nghiên cứu xem mình sai chỗ nào nhé. Có gì thắc mắc thì tiếp tục reply


;; free lisp from cadviet.com
(defun C:dvc (/ GOC1 dx dy temp-1 temp-2 GOC2 TAM temp3 temp4)
  (setq dx     (getdist "\nChieu dai canh theo truc x: ")
    dy     (getdist "\nChieu dai canh theo theo truc y: ")
GOC1 (getpoint "\nDiem dat.: ")
    GOC2     (list (+ (car GOC1) dx) (+ (cadr GOC1) dy) 0)
    TAM     (list (+ (car GOC1) (/ dx 2)) (+ (cadr GOC1) (/ dy 2)) 0)
    )
(taolayer "KCVN-CAT" "30" "0.3")
(setvar "clayer" "KCVN-CAT")
  (vl-cmdf "._RECTANGLE" "_non" GOC1 "D" dx dy "_non" GOC2);1
  (setq temp3 (entlast));2
  (vl-cmdf "hatch" "ansi31" "200" "" temp3 "");3
  (setq temp4 (entlast));4
  (vl-cmdf  "_.copy" temp3 temp4 "" "m" TAM pause);5
   )

Ôi,hóa ra mình thiếu 1 dấu "".Hức..Mình chưa bết cần bao nhiêu đối số cho lệnh h :(
Còn dòng 5,mình thấy vẫn nguyên,n lại giải quyết được lỗi Unknown M command.Phải chăng lỗi này là do hệ lụy của dòng 3 lúc trước chưa chuẩn?
Nhờ mọi người hướng dẫn mình cách move 1 đối tượng theo trục,và cách đặt chân dim cách đối tượng 1 khoảng cố định cho trước với
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#23 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 21 September 2010 - 10:59 PM

do thói quen thôi.
------
sửa dòng này chắc là được
(command "-hatch" "P" "ansi31" "10" "0.0" "S" temp3 "" "")
chưa có máy test nhưng đủ dấu chắc lệnh hatch hết lỗi

Đúng là đã fix lỗi,cách của bác dùng -h nên kiểm tra lại theo dòng lệnh từng bước chuẩn luôn ^^.Mình ngố quá :|
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#24 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 22 September 2010 - 09:06 AM

Ôi,hóa ra mình thiếu 1 dấu "".Hức..Mình chưa bết cần bao nhiêu đối số cho lệnh h :(
Còn dòng 5,mình thấy vẫn nguyên,n lại giải quyết được lỗi Unknown M command.Phải chăng lỗi này là do hệ lụy của dòng 3 lúc trước chưa chuẩn?
Nhờ mọi người hướng dẫn mình cách move 1 đối tượng theo trục,và cách đặt chân dim cách đối tượng 1 khoảng cố định cho trước với

- Cách kiểm tra command đã đủ chưa bạn chỉ cần copy đoạn command đố paste vào dòng command của cad. Nếu nó thiếu cái gì thì bổ xung cái đó.
- Ý thứ hai của bạn thì dùng phàm polar ví dụ (setq p2 (polar p1 ang kc)) p2 là điểm cần xác định, p1 là điểm có sẵn, ang là góc tạo bởi đường thẳng p1 p2 với trục x đo bằng radian kc là khoảng cách từ điểm p1 đến điểm p2.
từ ví dụ trên nếu bạn muốn move theo trục x thì bạn chỉ cần đặt góc ang = 0 và kc là khoảng cách muốn move. Chúc bạn thành công.
  • 1
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#25 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 22 September 2010 - 09:33 AM

Hi.Tks bạn.Cái này đúng là do mình lười suy nghĩ quá,biết là có hàm đó rồi mà chưa biết tận dụng ^^.
Sáng nay mình cũng đã thử cách đặt dim đúng quy cách trong ví dụ.
Cách đầu là mình sẽ dim cạnh CN,đặt chiều dài chân dim 2mm.Lúc này dim dính vào cạnh HCN-->rồi dùng move với polar để đẩy dim ra khỏi đối tượng 3mm nữa
Cách 2 là mình nghĩ có đối số đặt chân dim cách đối tượng 1 khoảng cố định luôn,nhưng chưa rõ phải làm sao :(
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#26 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 22 September 2010 - 09:49 AM

Hi.Tks bạn.Cái này mình lười suy nghĩ quá,biết là có hàm đó rồi mà chưa biết tận dụng ^^.
Sáng nay mình cũng đã thử cách đặt dim đúng quy cách trong ví dụ.
Cách đầu là mình sẽ dim cạnh CN,đặt chiều dài chân dim 2mm.Lúc này dim dính vào cạnh HCN-->rồi dùng move với polar để đẩy dim ra khỏi đối tượng 23mm nữa
Cách 2 là mình nghĩ có cách đặt chân dim cách đối tượng 1 khoảng cố định luôn,nhưng chưa rõ

Với cách 2 bạn chỉ phải sửa chỉ số offset from origin của dim là được. Chân dim vẫn dính vào đối tượng còn đường dóng thì cách đối tượng một đoạn.
  • 1
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#27 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 22 September 2010 - 10:27 AM

Với cách 2 bạn chỉ phải sửa chỉ số offset from origin của dim là được. Chân dim vẫn dính vào đối tượng còn đường dóng thì cách đối tượng một đoạn.
Cám ơn bạn.Tí nữa giờ nghỉ trưa mình sẽ thử :(.Lọ mọ tìm các biến set Dimstyle thì tìm thấy cái này,chắc cũng có người cần dùng :(

DIMASO	  Off				  Create dimension objects
DIMSTYLE D-175 Current dimension style (read-only)

DIMADEC 0 Angular decimal places
DIMALT Off Alternate units selected
DIMALTD 4 Alternate unit decimal places
DIMALTF 0.0394 Alternate unit scale factor
DIMALTRND 0.0000 Alternate units rounding value
DIMALTTD 4 Alternate tolerance decimal places
DIMALTTZ 0 Alternate tolerance zero suppression
DIMALTU 8 Alternate units
DIMALTZ 0 Alternate unit zero suppression
DIMAPOST Prefix and suffix for alternate text
DIMARCSYM 0 Arc length symbol
DIMASZ 1.0000 Arrow size
DIMATFIT 0 Arrow and text fit
DIMAUNIT 0 Angular unit format
DIMAZIN 1 Angular zero supression
DIMBLK ArchTick Arrow block name
DIMBLK1 ClosedFilled First arrow block name
DIMBLK2 ClosedFilled Second arrow block name
DIMCEN 0.0900 Center mark size
DIMCLRD 4 (cyan) Dimension line and leader color
DIMCLRE 4 (cyan) Extension line color
DIMCLRT 3 (green) Dimension text color
DIMDEC 0 Decimal places
DIMDLE 0.0000 Dimension line extension
DIMDLI 0.3800 Dimension line spacing
DIMDSEP . Decimal separator
DIMEXE 1.5000 Extension above dimension line
DIMEXO 1.5000 Extension line origin offset
DIMFRAC 0 Fraction format
DIMFXL 1.0000 Fixed Extension Line
DIMFXLON Off Enable Fixed Extension Line
DIMGAP 1.0000 Gap from dimension line to text
DIMJOGANG 45 Radius dimension jog angle
DIMJUST 0 Justification of text on dimension line
DIMLDRBLK ClosedFilled Leader block name
DIMLFAC 1.0000 Linear unit scale factor
DIMLIM Off Generate dimension limits
DIMLTEX1 BYBLOCK Linetype extension line 1
DIMLTEX2 BYBLOCK Linetype extension line 2
DIMLTYPE BYBLOCK Dimension linetype
DIMLUNIT 2 Linear unit format
DIMLWD -2 Dimension line and leader lineweight
DIMLWE -2 Extension line lineweight
DIMPOST Prefix and suffix for dimension text
DIMRND 0.0000 Rounding value
DIMSAH Off Separate arrow blocks
DIMSCALE 175.0000 Overall scale factor
DIMSD1 Off Suppress the first dimension line
DIMSD2 Off Suppress the second dimension line
DIMSE1 Off Suppress the first extension line
DIMSE2 Off Suppress the second extension line
DIMSOXD Off Suppress outside dimension lines
DIMTAD 1 Place text above the dimension line
DIMTDEC 0 Tolerance decimal places
DIMTFAC 1.0000 Tolerance text height scaling factor
DIMTFILL 0 Text background enabled
DIMTFILLCLR BYBLOCK Text background color
DIMTIH Off Text inside extensions is horizontal
DIMTIX On Place text inside extensions
DIMTM 0.0000 Minus tolerance
DIMTMOVE 0 Text movement
DIMTOFL On Force line inside extension lines
DIMTOH Off Text outside horizontal
DIMTOL Off Tolerance dimensioning
DIMTOLJ 1 Tolerance vertical justification
DIMTP 0.0000 Plus tolerance
DIMTSZ 0.0000 Tick size
DIMTVP 0.0000 Text vertical position
DIMTXSTY R5 Text style
DIMTXT 1.8000 Text height
DIMTZIN 0 Tolerance zero suppression
DIMUPT Off User positioned text
DIMZIN 8 Zero suppression

  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#28 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 23 September 2010 - 09:46 AM

Á á..Bị mắc rồi các bác ơi.Trong trường hợp mình phải "setvar" rất nhiều tham số cho dim như kia,có cách nào tạo list (Biến Giá trị) để setvar 1 loạt không ạ :(
Chứ trong code mà làm ngần kia cái chữ (setvar Dimabc ....) thì ....Mở rộng ra có thể ghi Dimstyle này ra 1 file text để load vào bản vẽ mới không
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#29 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 23 September 2010 - 09:49 AM

Á á..Bị mắc rồi các bác ơi.Trong trường hợp mình phải "setvar" rất nhiều tham số cho dim như kia,có cách nào tạo list (Biến Giá trị) để setvar 1 loạt không ạ :(
Chứ trong code mà làm ngần kia cái chữ (setvar Dimabc ....) thì ....Mở rộng ra có thể ghi Dimstyle này ra 1 file text để load vào bản vẽ mới không

Bạn dùng run Script cua autocad. Bạn search trên diễn đàn có nhiều bài viết về vấn đề này rồi.
  • 1
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#30 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 23 September 2010 - 10:07 AM

Em có đọc rồi,nhưng vẫn phân vân về cách load file script bằng lisp bác ạ :( Nếu tạo file Scr rồi load mà dùng đường dẫn cố định thì lại dở quá :(
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#31 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 23 September 2010 - 10:41 AM

Em có đọc rồi,nhưng vẫn phân vân về cách load file script bằng lisp bác ạ :( Nếu tạo file Scr rồi load mà dùng đường dẫn cố định thì lại dở quá :(

Bạn dùng thêm hàm findfile và (getvar "DWGPREFIX") nó sẽ tìm file trên tất cả ổ đĩa của bạn và trả về đường dẫn của file đó.
BS: Mình nhầm bạn dùng (getvar "DWGPREFIX") là được rồi nó trả về đường dẫn file DWG bạn đang mở. Như vậy bạn chỉ cần copy file script theo cùng folde với file dwg là được
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#32 nguyentuyen6

nguyentuyen6

    biết lệnh chamfer

  • Advance Member
  • PipPipPipPip
  • 213 Bài viết
Điểm đánh giá: 124 (tàm tạm)

Đã gửi 23 September 2010 - 10:45 AM

Ai viết giùm mình1 líp như thể này để mình đọc rùi ứng dụng cho những T/h khác với:

1)Chọn điểm 1, chọn điểm 3. chọn điểm 3.................... chọn điểm n. ( thích chọn bao nhiêu điểm cũng đc )

2)Sau khi chọn xong các điểm thì Vẽ các line nối điểm 1 và 2, 2 và 3.........n-1 và n.
  • 0

Lisp In bản vẽ hàng loạt:
http://www.cadviet.c...ndpost&p=139860


#33 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1436 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 23 September 2010 - 10:54 AM

Ai viết giùm mình1 líp như thể này để mình đọc rùi ứng dụng cho những T/h khác với:

1)Chọn điểm 1, chọn điểm 3. chọn điểm 3.................... chọn điểm n. ( thích chọn bao nhiêu điểm cũng đc )

2)Sau khi chọn xong các điểm thì Vẽ các line nối điểm 1 và 2, 2 và 3.........n-1 và n.

Có ngay : Vẽ các line nối các điểm đã chọn.
(defun c:vl (/ lst pt1 pt2 )
(setq pt1 (getpoint "\nDiem dau :")
lst (cons pt1 lst))
(while (setq pt2 (getpoint pt1 "\nDiem ke :"))
(grdraw pt1 pt2 4)
(setq lst (cons pt2 lst)
pt1 pt2) )
(redraw)
(setq pt1 (car lst))
(foreach pt2 (cdr lst)
(entmakex (list (cons 0 "LINE")(cons 10 pt1)(cons 11 pt2) ))
(setq pt1 pt2))
(Princ))

  • 0

#34 VUVUZELA

VUVUZELA

    biết lệnh chamfer

  • Members
  • PipPipPipPip
  • 210 Bài viết
Điểm đánh giá: 97 (tàm tạm)

Đã gửi 23 September 2010 - 11:23 AM

Có ngay : Vẽ các line nối các điểm đã chọn.

(defun c:vl (/ lst pt1 pt2 )
(setq pt1 (getpoint "\nDiem dau :")
lst (cons pt1 lst))
(while (setq pt2 (getpoint pt1 "\nDiem ke :"))
(grdraw pt1 pt2 4)
(setq lst (cons pt2 lst)
pt1 pt2) )
(redraw)
(setq pt1 (car lst))
(foreach pt2 (cdr lst)
(entmakex (list (cons 0 "LINE")(cons 10 pt1)(cons 11 pt2) ))
(setq pt1 pt2))
(Princ))


Chài ơi
Bác gia_bach này nhanh thật
Em định REPLY bài này do cái này quá dễ (là có bác gia_bach)
Sao bác ko reply cái khó đi
huhu
:(
hihi
  • 0

Hệ thống Liên Kết, Thiết Kế Tự Động

ttps://www.facebook...etThietKeTuDong


#35 trinhvqh

trinhvqh

    biết lệnh block

  • Members
  • PipPipPipPipPipPip
  • 408 Bài viết
Điểm đánh giá: 222 (khá)

Đã gửi 23 September 2010 - 11:31 AM

Chài ơi
Bác gia_bach này nhanh thật
Em định REPLY bài này do cái này quá dễ (là có bác gia_bach)
Sao bác ko reply cái khó đi
huhu
:(
hihi


Như vậy, một vấn đề mà nhiều người cùng giải quyết thì "tốc độ" là tiêu chí lựa chọn :)
Còn "dễ" hay "khó" thật khó nói. Sáng nay tôi có nhờ bác gia_bach giải quyết một vấn đề (Thâm tâm tôi cứ nghĩ là dễ), nhưng khi hỏi xong thì tôi mới biết đó là "khó"
Mà "Cái khó thường bó cái khôn", p k? :(
  • 0

#36 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1436 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 23 September 2010 - 12:14 PM

Chài ơi
Bác gia_bach này nhanh thật
Em định REPLY bài này do cái này quá dễ (là có bác gia_bach)
Sao bác ko reply cái khó đi
huhu :( hihi

thiện tai, thiện tai ...
Rút kinh nghiệm lần sau chờ vài ba ngày (tuần - tháng) mới REPLY ! :(
yeah , yeah ...
  • 0

#37 nguyentuyen6

nguyentuyen6

    biết lệnh chamfer

  • Advance Member
  • PipPipPipPip
  • 213 Bài viết
Điểm đánh giá: 124 (tàm tạm)

Đã gửi 23 September 2010 - 02:42 PM

Cảm ơn bác đã trả lời câu hỏi của em nhanh thế, hehe.
Ngoài code trên có code "bình dân" hơn nữa được không bác. :(
  • 0

Lisp In bản vẽ hàng loạt:
http://www.cadviet.c...ndpost&p=139860


#38 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 23 September 2010 - 04:07 PM

Với mỗi lisp nhận được,mình nghĩ bạn nên chịu khó đọc hiểu ý nghĩa của từng hàm,từng dòng,sẽ hiểu ra ấn đề..Kể mà mấy anh viết lisp ghi chú luôn thì càng tốt ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#39 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 23 September 2010 - 04:20 PM

thiện tai, thiện tai ...
Rút kinh nghiệm lần sau chờ vài ba ngày (tuần - tháng) mới REPLY ! :(
yeah , yeah ...

Thế thì khổ chúng em ^^.
Ầy dà,em mạn phép đưa ra ý kiến là các code nên ghi ghi chú mục đích từng hàm,vừa đỡ nhầm lẫn,vừa giúp người hỏi có thể hiểu vấn đề..Nhiều lúc e đọc code thấy dài quá,mà không hiểu chức năng từng đoạn từng đọan,mò mẫm help từng chữ 1,kể cũng dễ nản ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#40 tuannguyen314169

tuannguyen314169

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 23 September 2010 - 04:26 PM

Mình có mót được cái autolip này trên diễn đàn nhưng sao không dùng được. Mong các Bác chỉ giáo
;Scale the mot chieu
(DEFUN EXCUTE()
(setq oldvalue (getvar "CMDECHO"))
(setvar "CMDECHO" 0)
(princ "Chon doi tuong can scale: ")
(setq ss (ssget))
(setq P0 (getpoint "\nChon diem goc: "))
(initget 1 "X Y X S")
(setq C (getkword "\nScale theo [X,Y,Z,Scale]? :"))
(setq hs (getreal "Cho biet he so scale: "))
(DELBLOCK "vkc_temp")
(CREATEBLOCK ss P0)
(Command "-Insert" "vkc_temp" C hs P0 "")
(setq dt (entlast))
(Command "Explode" dt)
(setvar "CMDECHO" oldvalue)
(princ)
)
(DEFUN CREATEBLOCK(ss P)
(command "-Block" "vkc_temp" P ss "")
)

(DEFUN DELBLOCK (bname)
(if (IsExistBlock bname)
(Command "-Purge" "B" bname "Y" "Y")
)
)
(DEFUN IsExistBlock(bname / kq)
(setq kq Nil)
(setq n (length LiBlk))
(setq i 0)
(while (< i n)
(if (= bname (nth i LiBlk))
(progn
(setq i n)
(setq kq T)
)
)
(setq i (1+ i))
)
kq
)
(DEFUN CREALIBLK (/ NL)
(setq LiBlk (List))
(setq NL (tblnext "BLOCK" T))
(while NL
(setq LiBlk (append LiBlk (list (cdr (assoc 2 NL)))))
(setq NL (tblnext "BLOCK"))
)
(setq LiBlk (Acad_strlsort LiBlk))
)
(DEFUN C:XSCALE()
(CREALIBLK)
(EXCUTE)
)
(DEFUN C:XSC()
(CREALIBLK)
(EXCUTE)
)
(princ "\nfree lisp from www.cadviet.com")
(princ)
  • 0